# Update a Service

Update settings on the service.

Endpoint: PATCH /v3/projects/{projectId}/services/{id}
Version: 3.0
Security: BasicAuth, OAuth2

## Security:

  - `BasicAuth` (unknown)
    http basic

  - `OAuth2` (unknown)
    oauth2

## Path parameters:

  - `id` (string, required)
    The service ID you want to update.

  - `projectId` (string, required)
    The `projectId` is a required parameter you must include when making any API calls. You can find your project ID on your [Build dashboard](https://dashboard.sinch.com).

## Request fields (application/json):

  - `name` (string)
    A friendly name for the service. Maximum is 60 characters.
    Example: Default service

  - `incomingWebhookUrl` (string)
    The URL to which Sinch will post when someone sends a fax to your Sinch number. To accept incoming faxes this must be set and your Sinch phone number must be configured to receive faxes.

Note: If a webhook uses basicauth credentials, when the webhook URL is retrieved those credentials are masked. It is not possible to retrieve previously-set credentials through the API.
    Example: https://yourserver/incomingFax

  - `webhookContentType` (string)
    The content type of the webhook.
    Enum: "multipart/form-data", "application/json"

  - `defaultForProject` (boolean)
    If set to true this is the service used to create faxes when no serviceId is specified in the API endpoints.

  - `defaultFrom` (string)
    One of your Sinch numbers connected to this service or any of your verified numbers.

  - `numberOfRetries` (integer)
    The number of times to retry sending a fax if it fails. Default is 3. Maximum is 5.

  - `retryDelaySeconds` (integer)
    The number of seconds to wait between retries if the fax is not yet completed.

  - `imageConversionMethod` (string)
    Determines how documents are converted to black and white on OUTBOUND faxes only.  Image conversion is not done on INBOUND faxes. Defaults to value selected on Fax Service object.
    Enum: "HALFTONE", "MONOCHROME"

  - `coverPageId` (string)
    If a value it will always add that cover page id to outbound faxes

  - `saveOutboundFaxDocuments` (boolean)
    Save fax documents with Sinch when you send faxes. Fax records are retained for 13 months. Records older than 13 months are deleted.

  - `saveInboundFaxDocuments` (boolean)
    Save fax documents with Sinch when you receive faxes. Fax records are retained for 13 months. Records older than 13 months are deleted.

  - `scanIncomingBarcodes` (boolean)
    If set to true, barcodes will be detected on incoming faxes.

  - `inProgressNotifications` (boolean)
    If set to `true`, you will receive a webhook notification for each page sent on an outbound fax.

  - `resolution` (string)
    The resolution for the fax. If this is set at the service, this applies to all faxes sent using that service. If this is set on the fax, this will override the service setting.
    Enum: "FINE", "SUPERFINE"

## Response 200:

  - `200` (unknown)
    The updated service, or an [Error](https://developers.sinch.com/docs/fax/api-reference/fax/error-messages)

## Response 200 fields (application/json):

  - `id` (string)
    ID of the fax service used.
    Example: 01GVRB50KEQFFE1SGMPFRNBG6J

  - `name` (string)
    A friendly name for the service. Maximum is 60 characters.
    Example: Default service

  - `incomingWebhookUrl` (string)
    The URL to which Sinch will post when someone sends a fax to your Sinch number. To accept incoming faxes this must be set and your Sinch phone number must be configured to receive faxes.

Note: If a webhook uses basicauth credentials, when the webhook URL is retrieved those credentials are masked. It is not possible to retrieve previously-set credentials through the API.
    Example: https://yourserver/incomingFax

  - `webhookContentType` (string)
    The content type of the webhook.
    Enum: "multipart/form-data", "application/json"

  - `defaultForProject` (boolean)
    If set to true this is the service used to create faxes when no serviceId is specified in the API endpoints.

  - `defaultFrom` (string)
    One of your Sinch numbers connected to this service or any of your verified numbers.

  - `numberOfRetries` (integer)
    The number of times to retry sending a fax if it fails. Default is 3. Maximum is 5.

  - `retryDelaySeconds` (integer)
    The number of seconds to wait between retries if the fax is not yet completed.

  - `imageConversionMethod` (string)
    Determines how documents are converted to black and white on OUTBOUND faxes only.  Image conversion is not done on INBOUND faxes. Defaults to value selected on Fax Service object.
    Enum: "HALFTONE", "MONOCHROME"

  - `coverPageId` (string)
    If a value it will always add that cover page id to outbound faxes

  - `saveOutboundFaxDocuments` (boolean)
    Save fax documents with Sinch when you send faxes. Fax records are retained for 13 months. Records older than 13 months are deleted.

  - `saveInboundFaxDocuments` (boolean)
    Save fax documents with Sinch when you receive faxes. Fax records are retained for 13 months. Records older than 13 months are deleted.

  - `scanIncomingBarcodes` (boolean)
    If set to true, barcodes will be detected on incoming faxes.

  - `inProgressNotifications` (boolean)
    If set to `true`, you will receive a webhook notification for each page sent on an outbound fax.

  - `projectId` (string)
    The `Id` of the project associated with the call.
    Example: ae00f005-e392-44dc-b3f5-a657a2684dg3

  - `resolution` (string)
    The resolution for the fax. If this is set at the service, this applies to all faxes sent using that service. If this is set on the fax, this will override the service setting.
    Enum: "FINE", "SUPERFINE"

  - `createdAt` (string)
    The date and time the service was created.

  - `updatedAt` (string)
    The date and time the service was last updated.

